Summary: SuperCollider world packages
Name: supercollider-world
Version: 2013.01.22
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://ccrma.stanford.edu/planetccrma/software/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Distribution: Planet CCRMA
Vendor: Planet CCRMA
Packager: Fernando Lopez-Lezcano

Requires: supercollider
# replaces supercollider-extras
Requires: supercollider-sc3-plugins
%if 0%{?fedora} < 17
Requires: supercollider-swingosc
%endif
# from current quarks
Requires: supercollider-ambiem
Requires: supercollider-mathlib
Requires: supercollider-reduniverse
Requires: supercollider-dewdrop
Requires: supercollider-cruciallib
# include emacs support
Requires: supercollider-emacs
# additional packages
Requires: supercollider-bbcut2
Requires: supercollider-midifile
Requires: supercollider-redclasses

%description
This metapackage will install most available SuperCollider packages
available from the Planet CCRMA repository. 

%prep

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)

%changelog
* Wed Jan 23 2013 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 2013.01.22-1
- remove SwingOSC requirement as the qt interface seems to have
  matured enough

* Sat May  5 2012 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 2012.05.05-1
- move obsoletes and provides for supercollider-extras to 
  supercollider-sc3-plugins

* Fri May  4 2012 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 2012.05.04-1
- added supercollider-swingosc

* Thu Mar  8 2012 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 2012.03.07-1
- more updates for git packages (supernova is now part of supercollider)

* Sun Feb  5 2012 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 2012.02.04-1
- update package for current 3.5 git packages

* Tue Jul  7 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 2009.06.29-1
- build for x86_64

* Mon Jun 29 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 2009.06.29-1
- new supercollider-extras support

* Fri Nov 21 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 2007.11.20-1
- removed supercollider-beqsuite-ugens, obsoleted by the newer
  supercollider package, added rmeqsuite (required by josh plugins)

* Fri Mar  9 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 2007.03.08-1
- initial build.
